Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eztrade/user/sitemap.php
Go to the documentation of this file.
1 <?php
4 include_once( "classes/INIFile.php" );
5 include_once( "classes/eztemplate.php" );
6
7 include_once( "eztrade/classes/ezproductcategory.php" );
8
9 $ini =& eZINI::instance( 'site.ini' );
10
11 $Language = $ini->variable( "eZTradeMain", "Language" );
12
13 $t = new eZTemplate( "kernel/eztrade/user/" . $ini->variable( "eZTradeMain", "TemplateDir" ),
14 "kernel/eztrade/user/intl/", $Language, "sitemap.php" );
15
16 $t->set_file( "sitemap_page_tpl", "sitemap.tpl" );
17 $t->set_block( "sitemap_page_tpl", "sitemap_line_tpl", "sitemap_line" );
18
19 $t->set_var("intl-top", "Shop");
20 $t->set_var("category", "Product Site Map");
21 $t->set_var("module", "trade");
22 $t->set_var("module_list", "product_list");
23 $t->set_var("intl-productlist", "Product Site Map");
24
25 $category = new eZProductCategory();
26 $categoryArray = $category->getTree();
27
28 foreach ( $categoryArray as $catItem )
29 {
30 // graham : former riderhaus static category display restriction removal
31 //if ( $catItem[0]->id() != 101 and $catItem[0]->id() != 102 )
32
33 if ( $catItem[0]->id() != "" and $catItem[0]->id() != "312" )
34 {
35 //if($catItem[0]->id() == 380){
36 //$test = $catItem;
37 //}
38 $t->set_var( "id", $catItem[0]->id() );
39 $t->set_var( "parent", $catItem[0]->parent() );
40 $t->set_var( "name", $catItem[0]->name() );
41
42 $ident = str_repeat( "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;", $catItem[1] );
43
44 $t->set_var( "ident", $ident );
45
46 $t->parse( "sitemap_line", "sitemap_line_tpl", true );
47 }
48 }
49
50 $t->pparse( "output", "sitemap_page_tpl" );
51
52 #<td>{ident}- <a href="/trade/productlist/{id}/">{name}</a></td>
53
54
55 ?>
eZProductCategory
Definition: ezproductcategory.php:90
eZTemplate
Definition: eztemplate.php:107
$category
$category
Definition: eztrade/user/sitemap.php:25
$t
$t
Definition: eztrade/user/sitemap.php:13
$Language
$Language
Definition: eztrade/user/sitemap.php:11
$ini
$ini
Definition: eztrade/user/sitemap.php:9
$categoryArray
$categoryArray
Definition: eztrade/user/sitemap.php:26
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.